ZPOOL-EXPORT(8)

NAME
zpool-export - export ZFS storage pools

SYNOPSIS
zpool export [-f] -a|pool…

DESCRIPTION
Exports the given pools from the system. All devices are marked as exported, but are still considered in use by other subsystems. The devices can be moved between systems (even those of different endianness) and imported as long as a sufficient number of devices are present.

Before exporting the pool, all datasets within the pool are unmounted. A pool can not be exported if it has a shared spare that is currently being used.

For pools to be portable, you must give the zpool command whole disks, not just partitions, so that ZFS can label the disks with portable EFI labels. Otherwise, disk drivers on platforms of different endianness will not recognize the disks.

-a  Exports all pools imported on the system.

-f  Forcefully unmount all datasets, and allow export of pools with active shared spares.

    This command will forcefully export the pool even if it has a shared spare that is currently being used. This may lead to potential data corruption.

EXAMPLES

  Example 1 : Exporting a ZFS Storage Pool
The following command exports the devices in pool tank so that they can be relocated or later imported:
    # zpool export tank

SEE ALSO
zpool-import(8)